OTPme - Feature #57

Feature # 56 (In Bearbeitung): Implement OTPme scripts

Implement signing of OTPme scripts
02 October 2015 00:47 - The 2nd

Status: In Bearbeitung Start date: 13 December 2015
Priority: Normal Due date:

Assignee: The 2nd % Done: 80%

Category: Estimated time: 0:00 hour

Target version: OTPme 0.3

Description

It should be possible to sign OTPme scripts and allow only execution of signed scripts.

Subtasks:
Feature # 65: implement revoking of script signatures

Feature # 74: Implement signature tags

In Bearbeitun
In Bearbeituni

History

#1 - 19 November 2015 23:03 - The 2nd
- % Done changed from 10 to 70

#2 - 07 August 2018 14:08 - The 2nd

- Status changed from Neu to In Bearbeitung

#3 - 07 August 2018 14:16 - The 2nd

Implemented signing of OTPme scripts via RSA private key
Verification of signatures are done before executing the script (e.g. OTPme's PAM module can verify the login script signature)
Signing is implemented as a bash script via openssl to be as flexible as possible
Implemented server side encryption/signing mode where the RSA private key never leaves the OTPme server

e Added otpme-tool add/del_signer command to handle host/node local allowed signers

o Valid signers are users and roles
e Allow to add per user private signers

e Added config file options FORCE_TOKEN_SIGNERS, FORCE_KEY_SCRIPT_SIGNERS and FORCE_AGENT_SCRIPT_SIGNERS to override

private signers
